#include <stdio.h>
#include <string.h>

int main()
{
	char seq[ 1000 ];
	int len, i;

	scanf("%s", seq);
	len = strlen(seq);
	for( i=len-1 ; i >= 0 ; i--)
		{
			printf("%c", seq[ i ]);
		}
	printf("\n");

}

